### Method

# Gimp PlugIn get_temp_procedure

unstable since: 3.0

#### Declaration [src]

    GimpProcedure*
    gimp_plug_in_get_temp_procedure (
      GimpPlugIn* plug_in,
      const gchar* procedure_name
    )

#### Description [src]

This function retrieves a temporary procedure from `plug_in` by the procedure’s `procedure_name`.

Available since: 3.0

#### Parameters

`procedure_name`

  Type: `const gchar*`

  The name of a `GimpProcedure` added to `plug_in`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpProcedure`

The procedure if registered, or `NULL`.

The data is owned by the instance.
The return value can be `NULL`.